Bug 169675 - kernel crashes at boot with insmod errors on hyperthreaded processor
kernel crashes at boot with insmod errors on hyperthreaded processor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 18:07 EDT by Mary Ellen Foster
Modified: 2015-01-04 17:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:38:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/proc/cpuinfo (1.02 KB, text/plain)
2005-10-24 23:56 EDT, Marc Desrochers
no flags Details

  None (edit)
Description Mary Ellen Foster 2005-09-30 18:07:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050915 Fedora/1.5-0.5.0.beta1 Firefox/1.4

Description of problem:
The new kernel from updates-released does not boot on my computer; I've tried three times and got three different backtraces, but it's never yet booted. It appears to be an issue with "insmod" or something module-related. The previous kernel (kernel-smp-2.6.12-1.1456_FC4) still boots fine; in fact, that's what I'm running now.

Note that I've retyped all of these by hand, and there may be typos. I didn't type the long "Code" from the second trace; if you *really* need it, I can try to boot again and get that code.

Anyway, here they are...

Trace 1 (with a data CD in the CD drive):
Red Hat nash version 4.2.16 starting
insmod: error inserting '/lib/dm-mod.ko': -1 Operation not permitted
ERROR: /bin/insmod exited abnormally with value 1 ! (pid 367)
insmod: error inserting '/lib/dm-mirror.ko': -1 Unknown symbol in module
ERROR: /bin/insmod exited abnormally with value 1 ! (pid 376)
insmod: error inserting '/lib/dm-zero.ko': -1 Unknown symbol in module
ERROR: /bin/insmod exited abnormally with value 1 ! (pid 377)
insmod: error inserting '/lib/dm-snapshot.ko': -1 Unknown symbol in module
ERROR: /bin/insmod exited abnormally with value 1 ! (pid 378)
Unable to find device-mapper major/minor
  Reading all physical volumes. This may take a while ...
  Found volume group "vg0" using metadata type lvm2
  /proc/misc: No entry for device-mapper found
  Is device-mapper driver missing from kernel?
  Failure to communicate with kernel device-mapper driver.
  0 logical volume(s) in volume group "vg0" now active
mount: error 6 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
switchroot: mount failed: 22
Kernel panic - not syncing : Attempted to kill init!


Trace 2 (no CD) -- this is all I got, the rest scrolled off the screen:
 [<f0864ff4>] dev_create+0x0/0x8a [dm_mod]
 [<f0865060>] dev_create+0x6c/0x8a [dm_mod]
 [<f08664cf>] ctl_ioctl+0xce/0x10a [dm_mod]
 [<c0175914>] do_ioctl+0x64/0x6d
 [<c0175a77>] vfs_ioctl+0x56/0x1d0
 [<c0175c4e>] sys_ioctl+0x5d/0x6b
 [<c010395d>] syscall_call+0x7/0xb
Code: [ ... lots of hex digits, in pairs ... ]
  ERROR: /bin/lvm exited abnormally with value 0 (pid 389)
mount: error 19 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
switchroot: mount failed: 22
<0> Kernel panic - not syncing : Attempted to kill init!
 [<c0120cd8>] panic+0x45/0x1c4
 [<c0121f26>] profile_task_exit+0x36/0x4a
 [<c0123e7e>] do_exit+0x3a3/0x3f2
 [<c01586b8>] do_munmap+0xca/0xf7
 [<c0123f22>] do_group_exit+0x29/0x90
 [<c010395d>] syscall_call+0x7/0xb


Trace 3 (no CD):
Red Hat nash version 4.2.16 starting
insmod: error inserting '/lib/jbd.ko': -1 Operation not permitted
ERROR: /bin/insmod exited abnormally with value 1 ! (pid 372)
insmod: error inserting '/lib/ext3.ko': -1 Operation not permitted
ERROR: /bin/insmod exited abnormally with value 1 ! (pid 373)
  Reading all physical volumes. This may take a while ...
  Found volume group "vg0" using metadata type lvm2
  4 logical volume(s) in volume group "vg0" now active
mount: error 19 mounting ext3
ERROR opening /dev/console!!!!: 2
error dup2'ing fd of 0 to 0
error dup2'ing fd of 0 to 1
error dup2'ing fd of 0 to 2
switchroot: mount failed: 22
Kernel panic - not syncing : Attempted to kill init!


Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1526_FC4

How reproducible:
Always

Steps to Reproduce:
1. Boot


Actual Results:  Crash (traces slightly different; see above)

Expected Results:  Not crashing. :)

Additional info:

My computer is a Dell Inspiron 5160 laptop with a Pentium 4 HT processor. My hard drive is partitioned with LVM. If you need any other hardware information, just ask.
Comment 1 Marc Desrochers 2005-10-07 12:02:53 EDT
I have the same (or similar) problem on a Toshiba Satellite A70 laptop, on which
I just installed FC4; no volume groups, though.  The laptop booted up fine with
the installation kernel of 2.6.11-1.1369_FC4, but the kernel panics with
2.6.13-1.1526_FC4; I did not try any of the intermediate versions.

I tried both kernel and kernel-smp, then with various boot options from grub (in
particular: single ; selinux=0 ; root=/dev/hda1 instead of root=LABEL=/1 ), but
still got a kernel panic.  I haven't tried hda=noprobe yet.

Finally, I found that this seems related to hyperthreading: if I turn
hyperthreading off in the BIOS, the station boots fine; when I turn it back on,
I get a kernel panic.
Comment 2 Mary Ellen Foster 2005-10-08 04:44:36 EDT
Confirmed; if I disable hyperthreading in my BIOS, both the SMP and the
single-processor kernels boot without error. But with hyperthreading on, even
the single-processor kernel dies.

[I'm going to try to change the summary to reflect this hyperthreading issue ...]
Comment 3 Troy Monaghen 2005-10-11 13:27:47 EDT
I have the same problem on a Toshiba A75-S231.  Disabling hyperthreading in BIOS
allows it to boot.  Kernel 2.6.12-1.1456_FC4smp and previous work fine.  I have
had very similar messages at boot (sometimes insmod errors on the dm- modules,
sometimes on jbd and ext3 modules, and others).

I added a log of messages from one failed boot to bug #169691 because it seemed
similar.
Comment 4 Marc Desrochers 2005-10-24 23:56:29 EDT
Created attachment 120338 [details]
/proc/cpuinfo

I installed kernel-2.6.13-1532_FC4{,smp} on my Toshiba Satellite A70 laptop. 
Same symptoms: kernel panics with HyperThreading enabled in BIOS; no problem
with HyperThreading disabled in BIOS.

I have also installed kernel-2.6.2-1456_FC4smp, which works fine with
HyperThreading.

I am including the output of /proc/cpuinfo in the hope it may prove useful.
Comment 5 Mary Ellen Foster 2005-10-31 16:54:45 EST
I just tried the new updates-testing kernels (kernel-2.6.14-1.1633_FC4). My
symptoms are different than before; I'm not sure if this should go in a
different bug ...

I can now boot the non-SMP kernel with hyperthreading enabled in the BIOS, which
I couldn't do before. However, if I boot the SMP kernel with hyperthreading
enabled, I get as far as
"Initializing hardware ... storage"
and then it appears to hang. I've left it for a while, and it doesn't appear to
be getting anywhere.

(I haven't tried the SMP kernel in non-HT mode.)
Comment 6 Dave Jones 2005-11-10 14:40:30 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 7 Troy Monaghen 2005-11-10 21:35:31 EST
Just did a quick test and my machine seems to be working properly with the
2.6.14-1.1637_FC4smp kernel and hyperthreading enabled.  

Thanks!
Comment 8 Mary Ellen Foster 2005-11-11 03:11:53 EST
Works for me too.
Comment 9 Marc Desrochers 2005-11-19 20:15:08 EST
Ditto.
Comment 10 Dave Jones 2006-02-03 01:54:28 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 11 John Thacker 2006-05-04 21:38:38 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.